netfilter: xt prefixes

From: Jan Engelhardt <jengelh@medozas.de>


---

 net/ipv4/netfilter/Makefile          |    6 ++++--
 net/ipv4/netfilter/ipt_CLUSTERIP.c   |    1 +
 net/ipv4/netfilter/ipt_MASQUERADE.c  |    1 +
 net/ipv6/netfilter/Makefile          |   18 ++++++++++++------
 net/ipv6/netfilter/ip6t_eui64.c      |    1 +
 net/ipv6/netfilter/ip6t_frag.c       |    1 +
 net/ipv6/netfilter/ip6t_hbh.c        |    1 +
 net/ipv6/netfilter/ip6t_ipv6header.c |    1 +
 net/ipv6/netfilter/ip6t_mh.c         |    1 +
 net/ipv6/netfilter/ip6t_rt.c         |    1 +
 10 files changed, 24 insertions(+), 8 deletions(-)


Index: linux-3.17/net/ipv4/netfilter/Makefile
===================================================================
--- linux-3.17.orig/net/ipv4/netfilter/Makefile
+++ linux-3.17/net/ipv4/netfilter/Makefile
@@ -52,8 +52,10 @@ obj-$(CONFIG_IP_NF_MATCH_AH) += ipt_ah.o
 obj-$(CONFIG_IP_NF_MATCH_RPFILTER) += ipt_rpfilter.o
 
 # targets
-obj-$(CONFIG_IP_NF_TARGET_CLUSTERIP) += ipt_CLUSTERIP.o
-obj-$(CONFIG_IP_NF_TARGET_ECN) += ipt_ECN.o
+obj-$(CONFIG_IP_NF_TARGET_CLUSTERIP) += xt_CLUSTERIP.o
+xt_CLUSTERIP-objs := ipt_CLUSTERIP.o
+obj-$(CONFIG_IP_NF_TARGET_ECN) += xt_ECN.o
+xt_ECN-objs := ipt_ECN.o
 obj-$(CONFIG_IP_NF_TARGET_MASQUERADE) += ipt_MASQUERADE.o
 obj-$(CONFIG_IP_NF_TARGET_REJECT) += ipt_REJECT.o
 obj-$(CONFIG_IP_NF_TARGET_SYNPROXY) += ipt_SYNPROXY.o
Index: linux-3.17/net/ipv4/netfilter/ipt_CLUSTERIP.c
===================================================================
--- linux-3.17.orig/net/ipv4/netfilter/ipt_CLUSTERIP.c
+++ linux-3.17/net/ipv4/netfilter/ipt_CLUSTERIP.c
@@ -787,3 +787,4 @@ static void __exit clusterip_tg_exit(voi
 
 module_init(clusterip_tg_init);
 module_exit(clusterip_tg_exit);
+MODULE_ALIAS("ipt_CLUSTERIP");
Index: linux-3.17/net/ipv4/netfilter/ipt_MASQUERADE.c
===================================================================
--- linux-3.17.orig/net/ipv4/netfilter/ipt_MASQUERADE.c
+++ linux-3.17/net/ipv4/netfilter/ipt_MASQUERADE.c
@@ -179,3 +179,4 @@ static void __exit masquerade_tg_exit(vo
 
 module_init(masquerade_tg_init);
 module_exit(masquerade_tg_exit);
+MODULE_ALIAS("ipt_MASQUERADE");
Index: linux-3.17/net/ipv6/netfilter/Makefile
===================================================================
--- linux-3.17.orig/net/ipv6/netfilter/Makefile
+++ linux-3.17/net/ipv6/netfilter/Makefile
@@ -34,13 +34,19 @@ obj-$(CONFIG_NFT_REJECT_IPV6) += nft_rej
 
 # matches
 obj-$(CONFIG_IP6_NF_MATCH_AH) += ip6t_ah.o
-obj-$(CONFIG_IP6_NF_MATCH_EUI64) += ip6t_eui64.o
-obj-$(CONFIG_IP6_NF_MATCH_FRAG) += ip6t_frag.o
-obj-$(CONFIG_IP6_NF_MATCH_IPV6HEADER) += ip6t_ipv6header.o
-obj-$(CONFIG_IP6_NF_MATCH_MH) += ip6t_mh.o
-obj-$(CONFIG_IP6_NF_MATCH_OPTS) += ip6t_hbh.o
+obj-$(CONFIG_IP6_NF_MATCH_EUI64) += xt_eui64.o
+xt_eui64-objs := ip6t_eui64.o
+obj-$(CONFIG_IP6_NF_MATCH_FRAG) += xt_frag.o
+xt_frag-objs := ip6t_frag.o
+obj-$(CONFIG_IP6_NF_MATCH_IPV6HEADER) += xt_ipv6header.o
+xt_ipv6header-objs := ip6t_ipv6header.o
+obj-$(CONFIG_IP6_NF_MATCH_MH) += xt_mh.o
+xt_mh-objs := ip6t_mh.o
+obj-$(CONFIG_IP6_NF_MATCH_OPTS) += xt_hbh.o
+xt_hbh-objs := ip6t_hbh.o
 obj-$(CONFIG_IP6_NF_MATCH_RPFILTER) += ip6t_rpfilter.o
-obj-$(CONFIG_IP6_NF_MATCH_RT) += ip6t_rt.o
+obj-$(CONFIG_IP6_NF_MATCH_RT) += xt_rt.o
+xt_rt-objs := ip6t_rt.o
 
 # targets
 obj-$(CONFIG_IP6_NF_TARGET_MASQUERADE) += ip6t_MASQUERADE.o
Index: linux-3.17/net/ipv6/netfilter/ip6t_eui64.c
===================================================================
--- linux-3.17.orig/net/ipv6/netfilter/ip6t_eui64.c
+++ linux-3.17/net/ipv6/netfilter/ip6t_eui64.c
@@ -72,3 +72,4 @@ static void __exit eui64_mt6_exit(void)
 
 module_init(eui64_mt6_init);
 module_exit(eui64_mt6_exit);
+MODULE_ALIAS("ip6t_eui64");
Index: linux-3.17/net/ipv6/netfilter/ip6t_frag.c
===================================================================
--- linux-3.17.orig/net/ipv6/netfilter/ip6t_frag.c
+++ linux-3.17/net/ipv6/netfilter/ip6t_frag.c
@@ -134,3 +134,4 @@ static void __exit frag_mt6_exit(void)
 
 module_init(frag_mt6_init);
 module_exit(frag_mt6_exit);
+MODULE_ALIAS("ip6t_frag");
Index: linux-3.17/net/ipv6/netfilter/ip6t_hbh.c
===================================================================
--- linux-3.17.orig/net/ipv6/netfilter/ip6t_hbh.c
+++ linux-3.17/net/ipv6/netfilter/ip6t_hbh.c
@@ -213,3 +213,4 @@ static void __exit hbh_mt6_exit(void)
 
 module_init(hbh_mt6_init);
 module_exit(hbh_mt6_exit);
+MODULE_ALIAS("ip6t_hbh");
Index: linux-3.17/net/ipv6/netfilter/ip6t_ipv6header.c
===================================================================
--- linux-3.17.orig/net/ipv6/netfilter/ip6t_ipv6header.c
+++ linux-3.17/net/ipv6/netfilter/ip6t_ipv6header.c
@@ -151,3 +151,4 @@ static void __exit ipv6header_mt6_exit(v
 
 module_init(ipv6header_mt6_init);
 module_exit(ipv6header_mt6_exit);
+MODULE_ALIAS("ip6t_ipv6header");
Index: linux-3.17/net/ipv6/netfilter/ip6t_mh.c
===================================================================
--- linux-3.17.orig/net/ipv6/netfilter/ip6t_mh.c
+++ linux-3.17/net/ipv6/netfilter/ip6t_mh.c
@@ -92,3 +92,4 @@ static void __exit mh_mt6_exit(void)
 
 module_init(mh_mt6_init);
 module_exit(mh_mt6_exit);
+MODULE_ALIAS("ip6t_mh");
Index: linux-3.17/net/ipv6/netfilter/ip6t_rt.c
===================================================================
--- linux-3.17.orig/net/ipv6/netfilter/ip6t_rt.c
+++ linux-3.17/net/ipv6/netfilter/ip6t_rt.c
@@ -223,3 +223,4 @@ static void __exit rt_mt6_exit(void)
 
 module_init(rt_mt6_init);
 module_exit(rt_mt6_exit);
+MODULE_ALIAS("ip6t_rt");
